import sys
forge = sys.modules["forge"]

def setup(module):

	srcList = [	"Blade",
				"BladeOp",
				"DodgeOp",
				"LengthCorrectOp",
				"TwistBindOp",
				"TwistWrapOp",
				"grassDL" ]

	dll = module.DLL( "fexGrassDL", srcList )

	deplibs = forge.corelibs + [
				"feSignalLib",
				"fexMathLib",
				"fexGeometryDLLib",
				"fexOperatorDLLib",
				"fexDataToolDLLib"]

	forge.deps( ["fexGrassDLLib"], deplibs )

	forge.tests += [
			("inspect.exe",		"fexGrassDL",				None,		None) ]

	module.Module( 'test' )
